package com.realnet.log.Services;
import com.realnet.log.Repository.LoginRepository;
import com.realnet.log.Entity.Login
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class LoginService {
@Autowired
private LoginRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Login Savedata(Login data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Login save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Login> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Login> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Login> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Login getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Login update(Login data,Integer id) {
	Login old = Repository.findById(id).get();
old.setUsername(data.getUsername());

old.setActive (data.getActive());

old.setPassword(data.getPassword());

final Login test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
